Subject: bug#33397: closed (Re: bug#33397: "guix environment" does not warn about stopped jobs)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 24 Dec 2019 01:55:02 +0000

Your bug report

#33397: "guix environment" does not warn about stopped jobs

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33397: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33397
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33397: "guix environment" does not warn about stopped jobs
From: Brett Gilio <[email-masked]>
To: swedebugia <[email-masked]>
Cc: [email-masked]
Date: Mon, 23 Dec 2019 19:54:06 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

swedebugia <[email-masked]> writes:

> Hi
>
> I use emacs in a terminal to hack on packages.
> I start an emacs, press C-z to pause it after trying something
> in bash I then build the package from the source tree
> press fg to return to emacs
> and so forth.
>
> Typing guix environment will enter a new environment where apparently
> my paused emacs is not available.
>
> Is this a bug?
> Probably not.
>
> Should we make guix environment warn/refuse to create the env. if
> stopped jobs exist?
>
> Yes, I think so.
>
> What do you think?

This is not a bug, as far as I can tell. Especially with the recent
proposed and adopted changes to how jobs function in `guix environment`
you might have better luck with this issue now.

I am closing this in the mean time, but feel free to open a /new/ bug
report documenting the expected and true behaviors if you wish.

-- 
Brett M. Gilio
GNU Guix, Contributor | GNU Project, Webmaster
[DFC0 C7F7 9EE6 0CA7 AE55 5E19 6722 43C4 A03F 0EEE]
<[email-masked]> <[email-masked]>

Subject: "guix environment" does not warn about stopped jobs
From: swedebugia <[email-masked]>
To: [email-masked]
Date: Thu, 15 Nov 2018 13:13:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi

I use emacs in a terminal to hack on packages.
I start an emacs, press C-z to pause it after trying something
in bash I then build the package from the source tree
press fg to return to emacs
and so forth.

Typing guix environment will enter a new environment where apparently my 
paused emacs is not available.

Is this a bug?
Probably not.

Should we make guix environment warn/refuse to create the env. if 
stopped jobs exist?

Yes, I think so.

What do you think?

-- 
Cheers
Swedebugia